> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/guides/develop/programming-guide/extensions/modules/svyphonegap/location.md).

# Location

### Required Phonegap plugins

cordova-plugin-geolocation

## API Documentation

### Method Summary

#### getCurrentPosition

Returns the device's current position to the successCallback callback with a Position object as the parameter. If there is an error, the errorCallback function is passed a PositionError object.

**Params**

| Type     | Name            | Summary                                                                    | Required |
| -------- | --------------- | -------------------------------------------------------------------------- | -------- |
| Function | successCallback | on success callback                                                        | Optional |
| Function | errorCallback   | on error callback                                                          | Optional |
| Object   | options         | Options {maximumAge: Number, timeout: Number, enableHighAccuracy: Boolean} | Optional |

#### watchPosition

Add a watcher to keep track of the GPS position. As the device moves the watcher will send this information back to the successCallback callback with a Position object as the parameter. If there is an error, the errorCallback function is passed a PositionError object.

**Params**

| Type     | Name               | Summary                                                                    | Required |
| -------- | ------------------ | -------------------------------------------------------------------------- | -------- |
| Function | onWatchSetCallback | on success callback (gets a watcherID)                                     | Optional |
| Function | successCallback    | on success callback                                                        | Optional |
| Function | errorCallback      | on error callback                                                          | Optional |
| Object   | options            | Options {maximumAge: Number, timeout: Number, enableHighAccuracy: Boolean} | Optional |

#### clearWatch

Remove an existing watcher which will disable tracking of location.

**Params**

| Type   | Name    | Summary           | Required |
| ------ | ------- | ----------------- | -------- |
| Number | watchId | watchID to remove | Optional |

## Example Usage

```javascript
//watch when location changes.
var options = { enableHighAccuracy: true }
plugins.svyphonegapLocation.watchPosition(null, getLocationSuccess, getLocationFail, options);

/**
 * Callback when location is acquired
 * @properties={typeid:24,uuid:"14E1CB25-B697-47B0-A9A6-F52B0050EF39"}
 */
function getLocationSuccess(pos) {	
	//send location to google map component named 'map')
	elements.map.latitude = pos.coords.latitude;
	elements.map.longitude = pos.coords.longitude;	
        //clear watch once location found
	plugins.svyphonegapLocation.clearWatch();
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/guides/develop/programming-guide/extensions/modules/svyphonegap/location.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
